<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <body>

        <ui:composition template="./../WEB-INF/ModeloHome.xhtml">

            <ui:define name="inicio">

            </ui:define>

            <ui:define name="content">


                <ul style="height: 45px;" class="nav justify-content-end">


                    <li class="nav-item">
                        <h2 style="color: white">Seja bem vindo #{loginBean.cliente.nome}</h2>
                    </li>

                    &nbsp; 
                    &nbsp;
                    &nbsp; 
                    &nbsp;

                    <li class="nav-item">
                        <h:form prependId="false">
                            <p:commandLink update="painelCliente" process="@this" oncomplete="PF('dialog').show();" >                                      
                                <h:graphicImage library="img" name="usuario.png" title="Perfil"></h:graphicImage>   
                                <f:setPropertyActionListener target="#{clienteBean.clienteSelecionado}" value="#{cliente}" />
                            </p:commandLink>
                        </h:form> 
                    </li>                

                    &nbsp; 
                    &nbsp;

                    <li class="nav-item">
                        <a href=".."><h:graphicImage library="img" name="exit.png" width="50px" title="Sair"></h:graphicImage></a>
                    </li>
                </ul>
                <center>
                    <p:dialog header="Edição de Dados" widgetVar="dialog"  modal="true"  >  

                        <h:form prependId="false">

                            <p:fieldset legend="Dados do Cliente #{loginBean.clienteLogado.nome}">

                                <p:panelGrid id="painelCliente">

                                    <p:row>
                                        <p:column>
                                            <p:outputLabel value="Código:" for="codigo" />
                                        </p:column>
                                        <p:column colspan="8">
                                            <p:inputText id="codigo" value="#{loginBean.clienteLogado.id}"  readonly="true" size="2" />
                                        </p:column>

                                    </p:row>

                                    <p:row>
                                        <p:column >
                                            <p:outputLabel value="Nome:" for="nomeForm" />
                                        </p:column>
                                        <p:column colspan="8">
                                            <p:inputText id="nomeForm" value="#{loginBean.clienteLogado.nome}"  readonly="false" />
                                        </p:column>

                                    </p:row>

                                    <p:row>
                                        <p:column >
                                            <p:outputLabel value="Senha:" for="senha" />
                                        </p:column>
                                        <p:column colspan="8">
                                            <p:inputText id="senha" value="#{loginBean.clienteLogado.senha}"  readonly="false" />
                                        </p:column>

                                    </p:row>

                                    <p:row>
                                        <p:column>
                                            <p:outputLabel value="CPF:" for="cpf" />
                                        </p:column>
                                        <p:column colspan="8">
                                            <p:inputText id="cpf" value="#{loginBean.clienteLogado.cpf}"/>
                                        </p:column>
                                    </p:row>

                                    <p:row>
                                        <p:column>
                                            <p:outputLabel value="Email:" for="email" />
                                        </p:column>
                                        <p:column colspan="8">
                                            <p:inputText id="email" value="#{loginBean.clienteLogado.email}"/>
                                        </p:column>
                                    </p:row>

                                    <p:row>
                                        <p:column>
                                            <p:outputLabel value="Endereço:" for="endereco" />
                                        </p:column>

                                        <p:column>
                                            <p:inputText id="endereco" value="#{loginBean.clienteLogado.endereco}" />
                                        </p:column>

                                        <p:column>
                                            <p:outputLabel value="Nº" for="numero" />
                                        </p:column>

                                        <p:column>
                                            <p:inputText id="numero" value="#{loginBean.clienteLogado.numero}"  size="2" />
                                        </p:column>

                                        <p:column>
                                            <p:outputLabel value="Cidade:" for="cidade" />
                                        </p:column>

                                        <p:column>
                                            <p:inputText id="cidade" value="#{loginBean.clienteLogado.cidade}"  />
                                        </p:column>

                                        <p:column>
                                            <p:outputLabel value="UF:" for="uf" />
                                        </p:column>

                                        <p:column>
                                            <p:inputText id="uf" value="#{loginBean.clienteLogado.estado}" size="2" />
                                        </p:column>
                                    </p:row>

                                    <p:row>
                                        <p:column>
                                            <p:outputLabel value="Complemento:" for="complemento" />
                                        </p:column>
                                        <p:column colspan="8">
                                            <p:inputText id="complemento"   size="100" />
                                        </p:column>

                                    </p:row>
                                </p:panelGrid>
                            </p:fieldset>

                            <br></br>
                            <h:form prependId="false">
                                <p:commandButton value="Salvar" actionListener="#{loginBean.editarCliente()}"  oncomplete="PF('dialog').hide();" icon="ui-icon-disk"  />
                            </h:form>
                        </h:form>   
                    </p:dialog> 

                    <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                        <p:commandButton value="Sim" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
                        <p:commandButton value="Não" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
                    </p:confirmDialog>
                </center>
                <br></br>
                <nav class="navbar navbar-expand-lg navbar-light bg-light" >

                    <img src="../resources/img/Logo.png" width="150px"><h1 class="p1">Livraria TMG</h1></img>   

                    &nbsp; 
                    &nbsp;


                    <div class="collapse navbar-collapse" id="navbarSupportedContent">
                        <ul class="navbar-nav mr-auto">                           

                            <!-- Espaçamento-->
                            &nbsp; 
                            &nbsp;
                            &nbsp; 
                            &nbsp;



                        </ul>

                        <form class="form-inline my-2 my-lg-0">
                            <input class="form-control form-control-lg"  type="search" placeholder="Pesquisar" aria-label="pesquisa"></input>

                            &nbsp;
                            <a href="#"><img src="../resources/img/lupa.png" width="30px;" title="Pesquisar"></img></a>

                        </form>                        
                    </div>                    
                </nav>    

                <br></br>

                <center>
                    <div id="demo" class="carousel slide" data-ride="carousel">

                        <!-- Indicators -->
                        <ul class="carousel-indicators">
                            <li  data-target="#demo" data-slide-to="0" class="active"></li>
                            <li  data-target="#demo" data-slide-to="1"></li>
                            <li  data-target="#demo" data-slide-to="2"></li>
                        </ul>

                        <!-- The slideshow -->
                        <div class="carousel-inner" style="background-color: transparent">
                            <div class="carousel-item active">
                                <img src="../resources/img/livros/Assassins Creed.jpg" alt="PercyJackson" width="500px" height="600px"></img>
                            </div>
                            <div class="carousel-item">
                                <img src="../resources/img/livros/CodigoDaVinci.jpg" alt="CodigoDaVinci" width="500px" height="600px"></img>
                            </div>
                            <div class="carousel-item">
                                <img src="../resources/img/livros/Cabana.jpg" alt="ACabana" width="500px" height="600px"></img>
                            </div>
                        </div>

                        <!-- Left and right controls -->
                        <a class="carousel-control-prev" href="#demo" data-slide="prev">
                            <span class="carousel-control-prev-icon"></span>
                        </a>
                        <a class="carousel-control-next" href="#demo" data-slide="next">
                            <span class="carousel-control-next-icon"></span>
                        </a>
                    </div>
                </center>

                <br></br>

                <center>                
                    <table> 
                        <div class="row">
                            <tr>
                                <td>
                                    <div class="col-3">

                                        <div  id="div1" class="livro" style="width: 15rem;" >                   
                                            <center>
                                                <div class="card-body">
                                                    <img src="../resources/img/livros/Livro3.jpg" width="145px" ></img>

                                                    <br></br>
                                                    <br></br>

                                                    <h5 class="card-title">Para todos Garatos que Já amei</h5>
                                                    <h6 class="card-title" style="text-decoration: line-through ; font-size: 11px;">R$ 39,90</h6> 
                                                    <h6 class="card-title">R$ 25,90</h6>
                                                    <a id="botao" href="../Categorias/Romance/ParaTodosOsGarotos.xhtml" class="btn btn-primary">Ver</a>
                                                </div>
                                            </center>
                                        </div>                   

                                    </div>
                                </td>

                                <td>
                                    <div class="col-3">
                                        <div id="div1" class="livro" style="width: 15rem;">                   
                                            <center>
                                                <div class="card-body">
                                                    <img src="../resources/img/livros/BoxHarry.png" width="180px" ></img>

                                                    <br></br>
                                                    <br></br>

                                                    <h5 class="card-title">Box Harry Potter  Série Completa</h5>
                                                    <h6 class="card-title" style="text-decoration: line-through ; font-size: 11px;">R$ 249,50</h6> 
                                                    <h6 class="card-title">R$ 189,90</h6>
                                                    <a id="botao" href="../Categorias/Ficcao/BoxHarryPotter.xhtml" class="btn btn-primary">Ver</a>
                                                </div>
                                            </center>
                                        </div>
                                    </div>
                                </td>

                                <td>
                                    <div class="col-3">

                                        <div id="div1" class="livro" style="width: 15rem;">                   
                                            <center>
                                                <div class="card-body">
                                                    <img src="../resources/img/livros/mitologia.jpg" width="145px" ></img>

                                                    <br></br>
                                                    <br></br>

                                                    <h5 class="card-title">Mitologia Nórdica</h5>
                                                    <h6 class="card-title" style="text-decoration: line-through ; font-size: 11px;">R$ 44,90</h6> 
                                                    <h6 class="card-title">R$ 35,90</h6>
                                                    <a id="botao" href="../Categorias/Mitologia/MitologiaNordica.xhtml" class="btn btn-primary">Ver</a>
                                                </div>
                                            </center>
                                        </div>
                                    </div>
                                </td>    

                                <td>
                                    <div class="col-3">
                                        <div  id="div1" class="livro" style="width: 15rem;" >                   
                                            <center>
                                                <div class="card-body">
                                                    <img src="../resources/img/livros/Cabana.jpg" width="145px" ></img>

                                                    <br></br>
                                                    <br></br>

                                                    <h5 class="card-title">A Cabana</h5>
                                                    <h6 class="card-title" style="text-decoration: line-through ; font-size: 11px;">R$ 34,90</h6> 
                                                    <h6 class="card-title">R$ 21,90</h6>
                                                    <a id="botao" href="../Categorias/Religiao/ACabana.xhtml" class="btn btn-primary">Ver</a>
                                                </div>
                                            </center>
                                        </div>
                                    </div>
                                </td>
                            </tr>

                            <tr>
                                <td>
                                    <div class="col-3">
                                        <div id="div1" class="livro" style="width: 15rem;">                   
                                            <center>
                                                <div class="card-body">
                                                    <img src="../resources/img/livros/caçadorPipas.jpg" width="170px" ></img>

                                                    <br></br>
                                                    <br></br>

                                                    <h5 class="card-title">O Caçador de Pipas</h5>
                                                    <h6 class="card-title" style="text-decoration: line-through ; font-size: 11px;">R$ 39,90</h6> 
                                                    <h6 class="card-title">R$ 31,90</h6>
                                                    <a id="botao" href="../Categorias/Romance/CaçadorPipas.xhtml" class="btn btn-primary">Ver</a>
                                                </div>
                                            </center>
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="col-3">
                                        <div id="div1" class="livro" style="width: 15rem;">                   
                                            <center>
                                                <div class="card-body">
                                                    <img src="../resources/img/livros/pijamaListrado.jpg" width="145px" ></img>

                                                    <br></br>
                                                    <br></br>

                                                    <h5 class="card-title">O Menino do Pijama Listrado</h5>
                                                    <h6 class="card-title" style="text-decoration: line-through ; font-size: 11px;">R$ 42,90</h6> 
                                                    <h6 class="card-title">R$ 34,90</h6>
                                                    <a id="botao" href="../Categorias/Romance/PijamaListrado.xhtml" class="btn btn-primary">Ver</a>
                                                </div>
                                            </center>
                                        </div>
                                    </div>
                                </td>

                                <td>
                                    <div class="col-3">
                                        <div id="div1" class="livro" style="width: 15rem;">                   
                                            <center>
                                                <div class="card-body">
                                                    <img src="../resources/img/livros/DireitoPenal.jpg" width="145px" ></img>

                                                    <br></br>
                                                    <br></br>

                                                    <h5 class="card-title">Direito Penal - Parte Geral - Vol. 1 - 12ªEd. 2018</h5>                                     
                                                    <h6 class="card-title">R$ 199,90</h6>
                                                    <a id="botao" href="../Categorias/Estudo/DireitoCivil.xhtml" class="btn btn-primary">Ver</a>
                                                </div>
                                            </center>
                                        </div>
                                    </div>
                                </td>

                                <td>
                                    <div  class="col-3">
                                        <div id="div1" class="livro" style="width: 15rem;">                   
                                            <center>
                                                <div class="card-body">
                                                    <img src="../resources/img/livros/CodigoDaVinci.jpg" width="160px" ></img>

                                                    <br></br>
                                                    <br></br>

                                                    <h5 class="card-title">O Código da Vinci</h5>
                                                    <h6 class="card-title" style="text-decoration: line-through ; font-size: 11px;">R$ 49,90</h6> 
                                                    <h6 class="card-title">R$ 29,90</h6>
                                                    <a id="botao" href="../Categorias/Ficcao/CodigoDaVinci.xhtml" class="btn btn-primary">Ver</a>
                                                </div>
                                            </center>
                                        </div>
                                    </div>
                                </td>
                            </tr>

                        </div>
                    </table> 
                </center>

            </ui:define>

        </ui:composition>

    </body>
</html>
